
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>数论 - 欧拉函数的运用 --- poj 3090 : Visible Lattice Points / 憋错料</title>

    <meta name="description" content="数论 - 欧拉函数的运用 --- poj 3090 : Visible Lattice Points Visible Lattice Points Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 5636   Accepted: 3317 Description A lattice point (x, y) in the first quadrant (x and y are integers greater than or equal to 0), other than the origin, is visible fr">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">数论 - 欧拉函数的运用 --- poj 3090 : Visible Lattice Points</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Visible Lattice Points</p>
<table>
<tbody>
<tr>
<td><strong>Time Limit:</strong>&nbsp;1000MS</td>
<td>&nbsp;</td>
<td><strong>Memory Limit:</strong>&nbsp;65536K</td>
</tr>
<tr>
<td><strong>Total Submissions:</strong>&nbsp;5636</td>
<td>&nbsp;</td>
<td><strong>Accepted:</strong>&nbsp;3317</td>
</tr>
</tbody>
</table>
<p>Description</p>
<p>A lattice point (<em><strong>x</strong></em>,&nbsp;<em><strong>y</strong></em>) in the first quadrant (<em><strong>x</strong></em>&nbsp;and&nbsp;<em><strong>y</strong></em>&nbsp;are integers greater than or equal to 0), other than the origin, is visible from the origin if the line from (0, 0) to (<em><strong>x</strong></em>,&nbsp;<em><strong>y</strong></em>) does not pass through any other lattice point. For example, the point (4, 2) is not visible since the line from the origin passes through (2, 1). The figure below shows the points (<em><strong>x</strong></em>,&nbsp;<em><strong>y</strong></em>) with 0 &le;&nbsp;<em><strong>x</strong></em>,&nbsp;<em><strong>y</strong></em>&nbsp;&le; 5 with lines from the origin to the visible points.</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcG9qLm9yZy9pbWFnZXMvMzA5MF8xLnBuZw==.jpg" /></p>
<p>Write a program which, given a value for the size,&nbsp;<em><strong>N</strong></em>, computes the number of visible points (<em><strong>x</strong></em>,&nbsp;<em><strong>y</strong></em>) with 0 &le;&nbsp;<em><strong>x</strong></em>,&nbsp;<em><strong>y</strong></em>&nbsp;&le;&nbsp;<em><strong>N</strong></em>.</p>
<p>Input</p>
<p>The first line of input contains a single integer&nbsp;<em><strong>C</strong></em>&nbsp;(1 &le;&nbsp;<em><strong>C</strong></em>&nbsp;&le; 1000) which is the number of datasets that follow.</p>
<p>Each dataset consists of a single line of input containing a single integer&nbsp;<em><strong>N</strong></em>&nbsp;(1 &le;&nbsp;<em><strong>N</strong></em>&nbsp;&le; 1000), which is the size.</p>
<p>Output</p>
<p>For each dataset, there is to be one line of output consisting of: the dataset number starting at 1, a single space, the size, a single space and the number of visible points for that size.</p>
<p>Sample Input</p>
<pre>4
2
4
5
231</pre>
<p>Sample Output</p>
<pre>1 2 5
2 4 13
3 5 21
4 231 32549</pre>
<p>Source</p>
<p><a href="http://poj.org/searchproblem?field=source&amp;key=Greater+New+York+2006" rel="external nofollow noreferrer">Greater New York 2006</a></p>

<hr />
<br /><strong>Mean:</strong></p>
<p>在第一象限中，输入一个n，然后要你统计在(0&lt;=x&lt;=n,0&lt;=y&lt;=n)的范围内，有多少可视点。</p>
<p>所谓的可视点，即：从(0,0)出发到达(x1,y1)，中间未与任何整点相交的点。</p>
<p><strong>analyse:</strong></p>
<p>通过分析，我们会发现：只要x和y互质，那么(x,y)就是可视点。我们只要求得[0,0]~[x,y]内满足x和y互质的点(x,y)的个数，那么问题就可迎刃而解。欧拉函数就是用来解决小于n的数中有多少个数与n互质。</p>
<p><strong>Time complexity：</strong>O(n)</p>
<p><strong>Source code：</strong></p>
<pre>// Memory   Time
// 1347K     0MS
// by : Snarl_jsb
// 2014-09-12-22.35
#include&lt;algorithm&gt;
#include&lt;cstdio&gt;
#include&lt;cstring&gt;
#include&lt;cstdlib&gt;
#include&lt;iostream&gt;
#include&lt;vector&gt;
#include&lt;queue&gt;
#include&lt;stack&gt;
#include&lt;map&gt;
#include&lt;string&gt;
#include&lt;climits&gt;
#include&lt;cmath&gt;
#define N 1000010
#define LL long long
using namespace std;

int gcd(int a,int b){
	return b?gcd(b,a%b):a;
}

inline int lcm(int a,int b){
	return a/gcd(a,b)*b;
}

int eular(int n)    ////求1..n-1中与n互质的数的个数
{
	int ret=1,i;
	for (i=2;i*i&lt;=n;i++)
		if (n%i==0){
			n/=i,ret*=i-1;
			while (n%i==0)
				n/=i,ret*=i;
		}
	if (n&gt;1)
		ret*=n-1;
	return ret;
}

int main()
{
//    freopen("C:\\Users\\ASUS\\Desktop\\cin.cpp","r",stdin);
//    freopen("C:\\Users\\ASUS\\Desktop\\cout.cpp","w",stdout);
    int t,Cas=1;
    cin&gt;&gt;t;
    while(t--)
    {
        int n;
        cin&gt;&gt;n;
        LL ans=0;
        for(int i=1;i&lt;=n;i++)
        {
            ans+=eular(i);
        }
        printf("%d %d %d\n",Cas++,n,ans*2+1);
    }
    return 0;
}
</pre>
<p>　　</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 14:33:48 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>数论 - 欧拉函数的运用 --- poj 3090 : Visible Lattice Points的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49Zp5nM.html" rel="bookmark">POJ 3090 Visible Lattice Points 欧拉函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接:http://poj.org/problem?id=3090 题意:在坐标系中,从横纵坐标 0 ≤ x, y ≤ N中的点中选择点,并且这些点与(0,0)的连点不经过其他的点. 思路:显而易见,x与y只有互质的情况下才会发生(0,0)与(x,y)交点不经过其他的点的情况,对于x,y等于N时,可以选择的点均为小于等于N并且与N互质的数,共Euler(N)个,并且不重叠.所以可以得到递推公式aa[i]=aa[i]+2*Euler(N). 代码: #include &lt;iostream&gt; #in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6zLmrM.html" rel="bookmark">POJ 3090 Visible Lattice Points 法雷级数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目来源:POJ 3090 Visible Lattice Points 题意:哪些点可以看到 思路: F1: 0/1 1/1 F2: 0/1 1/2 1/1 F3: 0/1 1/3 1/2 2/3 1/1 F4: 0/1 1/4 1/3 1/2 2/3 3/4 1/1 F5: 0/1 1/5 1/4 1/3 2/5 1/2 3/5 2/3 3/4 4/5 1/1 F6:0/1 1/6 1/5 1/4 1/3 2/5 1/2 3/5 2/3 3/4 4/5 5/6 1/1 法雷级数 可以看到的那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lG25PM.html" rel="bookmark">POJ  3090   Visible Lattice Points</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description A lattice point (x, y) in the first quadrant (x and y are integers greater than or equal to 0), other than the origin, is visible from the origin if the line from (0, 0) to (x, y) does not pass through any other lattice point. For example			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MznKglM.html" rel="bookmark">poj 3090 Visible Lattice Points 法雷级数&vert;&vert;打表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于图像关于对角线对称,所以我们只看下三角区域.将x轴看做分母,被圈的点看成分子 依次是{1/2},{1/3,1/2},{1/4,3/4},{1/5,2/5,3/5,4/5} 写成前缀和的形式就是 {1/2},{1/2,1/3,2/3},{1/2,1/3,1/3,1/4,3/4},{1/2,1/3,1/3,1/4,3/4,1/5,2/5,3/5,4/5} 发现,这就是一个法雷级数,即第k项增加的数就是phi[k].最后的答案*2+(0,1)+(1,0),(1,1)三个点就好了 #include			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWA2br3.html" rel="bookmark">数论 - 欧拉函数模板题 --- poj 2407 &colon; Relatives</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Relatives Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 11372   Accepted: 5544 Description Given n, a positive integer, how many positive integers less than n are relatively prime to n? Two integers a and b are relatively prime if ther			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGLODa0.html" rel="bookmark">POJ 3090 Visible Lattice Points  （ 法雷数列 &plus; 欧拉函数 ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &lt;cstdio&gt; #include &lt;cstring&gt; using namespace std; #define CLR( a, b ) memset( a, b, sizeof(a) ) #define MAXN 1010 int phi[ MAXN ], farey[ MAXN ], n, t; void get_euler() //打欧拉函数表 { CLR( phi, 0 ); phi[1] = 1; for( int i = 2; i &lt; MAXN;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jO91Z3.html" rel="bookmark">POJ 3090 Visible Lattice Points 【欧拉函数】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;题目链接&gt; 题目大意: 给出范围为(0, 0)到(n, n)的整点,你站在(0,0)处,问能够看见几个点. 解题分析:很明显,因为 N (1 ≤ N ≤ 1000) ,所以无论 N 为多大,(0,1),(1,1),(1,0)这三个点一定能够看到,除这三个点以外,我们根据图像分析可得,设一个点的坐标为(x,y) ,那么只有符合gcd(x,y)=1的点才能被看到.又因为 (0,0)---(n,n)对角线两端的点对称,所以我们只需算一边即可,而一边的点数根据欧拉函数可得: $\sum_{i=2}^			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35AJ5j3.html" rel="bookmark">POJ 3090 Visible Lattice Points 布雷级数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Visible Lattice Points Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 5779   Accepted: 3409 Description A lattice point (x, y) in the first quadrant (x and y are integers greater than or equal to 0), other than the origin, is visible fr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qxXWN0.html" rel="bookmark">poj 3090 Visible Lattice Points 法利系列&vert;&vert;通过计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因为图像关于对角线对称.所以我们仅仅看下三角区域. 将x轴看做分母,被圈的点看成分子 依次是{1/2},{1/3,1/2},{1/4,3/4},{1/5,2/5,3/5,4/5} 写成前缀和的形式就是 {1/2},{1/2,1/3,2/3},{1/2,1/3,2/3,1/4,3/4},{1/2,1/3,2/3,1/4,3/4,1/5,2/5,3/5,4/5} 发现.这就是一个法雷级数,即第k项添加的数就是phi[k]. 最后的答案*2+(0,1)+(1,0),(1,1)三个点就好了 #inclu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3wVZb0.html" rel="bookmark" class="title">Android实现文章＋评论（MVP，RxJava，Dagger2，ButterKnife）</a>
					<div>
						简介 这个项目主要有两个功能,一个加载网页/文章,另一个用来显示评论.并应用了MVP模式,Dagger2.RxJava.ButterKnife等开源框架.效果图如下: 结构 首先来看一下布局文件: & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzayGl4.html" rel="bookmark" class="title">同用户登录</a>
					<div>
						这里指的单点,泛指在WEB服务端,一个账户同一时刻只能存在一个票据! 大家开发中可能都碰到的一个问题,怎么使同一个用户,在同一时间内只允许登录一次. 很多人都会想到在数据库中用一个标识字段,登录进去置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68YLy3.html" rel="bookmark" class="title">nodejs 通过 get获取数据修改redis数据</a>
					<div>
						如下代码是没有报错的正确代码 我通过https获取到数据 想用redis set一个键值存储 现在我掉入了回调陷阱res.on 里面接收到的数据是data 里面如果放入 client.on('conn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz86223.html" rel="bookmark" class="title">309&period; Best Time to Buy and Sell Stock with Cooldown</a>
					<div>
						/* * 309. Best Time to Buy and Sell Stock with Cooldown * 2016-7-4 by Mingyang * http://buttercola.b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4peAWRM.html" rel="bookmark" class="title">Working with Multiple Environments&lpar;使用多个环境&rpar;</a>
					<div>
						Working with Multiple Environments ASP.NET 5提高了跨多环境控制应用程序行为的支持.比如:开发,过度,生产.环境变量用来表明应用程序运行的环境,允许适当配置应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZA27Z0.html" rel="bookmark" class="title">Spring读取配置文件，地址问题，绝对路径，相对路径</a>
					<div>
						Spring在读取配置文件时,是相对于bin,或者WEB-INF的: “applicationContext.xml”就是找bin或WEB-INF及子文件夹下的文件: “/res/applicatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomxQB3.html" rel="bookmark" class="title">扩展欧几里德算法及其应用</a>
					<div>
						接着欧几里德算法往后写,扩展欧几里德算法常常用来解不定方程及一些相关的应用,用到的思想就是欧几里德算法的思想:通过在结果不改变的情况下不断取余而逐步缩小数据规模,两个数会不断变小,直到减小到一个数是另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV8myj3.html" rel="bookmark" class="title">一个简单的内核模块</a>
					<div>
						#include &lt;linux/kernel.h&gt; //内核 #include &lt;linux/module.h&gt; //内核模块 #include &lt;linux/init. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgo5V3.html" rel="bookmark" class="title">判断一个正整数是否是2的N次方的简洁算法及其证明</a>
					<div>
						在写代码时遇到了“判断一个正整数是否是2的N次方”的问题,不想调用 java.lang 的 Math 类库进行浮点运算,觉得转换为浮点不是个好办法. 遂在网上搜索了一下,发现有人列出来好几种写法,列举 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZm8w3.html" rel="bookmark" class="title">黑马程序员--oc基础第五篇</a>
					<div>
						五.oc的语法基础(内存管理上) 1.引用计数器:在每一个对象里都有一个引用计数器,占用4个字节的空间,在一个对象创建时引用计数器的值初始化为1. *给对象发送一条retain消息,可以使引用计数器的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaWGx3.html" rel="bookmark" class="title">hdu 4707 Pet&lpar;dfs，bfs&rpar;</a>
					<div>
						Pet Time Limit: 4000/2000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total Submis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rb6z13.html" rel="bookmark" class="title">绩效考核结果运用</a>
					<div>
						绩效考核结果的误用极大地挫伤了企业人员参与绩效管理的热情. 错误的管理理念导致荒唐的管理行为:在某些人看来,考核就是抓坏蛋,而不是树立好的榜样:考核就是秋后算账,而不是为了帮助和提高:考核就是尽量想方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyeEw3.html" rel="bookmark" class="title">Case class和Case object代码实战解析之Scala学习笔记-20</a>
					<div>
						package com.leegh.pattern_match /** * @author Guohui Li */ abstract class Personcase class Student(a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJQa13.html" rel="bookmark" class="title">iOS 运行时判断xib是否存在</a>
					<div>
						知识要点 1.  xib最终会变成nib文件 2.  NSBundle实例方法  - (NSString *)pathForResource:(NSString *)name ofType:(NSSt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDNQG93.html" rel="bookmark" class="title">删除大表数据</a>
					<div>
						declare cursor mycursor is SELECT ROWID FROM tpr_zjjx1 WHERE jxrq=to_date('2013-06-30','yyyy-mm-dd') ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35NN5K4.html" rel="bookmark" class="title">音频处理&lpar;二&rpar; 音频输出</a>
					<div>
						Windows下的音频输出常用的3中方法: 1. PlaySound:使用最简单直接,但是不够灵活,功能也非常单一,无法混音: 2. WaveOut:早期的Windows系统中广泛应用的音频输出程序接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQ9Yg0.html" rel="bookmark" class="title">GitHub页面布局乱了，怎么解决？？</a>
					<div>
						GitHub乱了,怎么解决?? 一年一度的布局又乱了!!! F12一下下面有东西加载不了,,,, Refused to evaluate a string as JavaScript because  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDlBl7M.html" rel="bookmark" class="title">《python基础教程（第二版）》学习笔记 基础部分（第1章）</a>
					<div>
						&lt;python基础教程(第二版)&gt;学习笔记基础部分(第1章)IDEWindows: IDLE(gui), Eclipse+PyDev; Python(command line);Linux ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDzwL0.html" rel="bookmark" class="title">CDR绘制绚丽五角星※※</a>
					<div>
						CDR绘制绚丽五角星 1.绘制一个五角星,在多边形工具下拉的第二个就是 2.选中五角星,点击颜色即可.给五角星加上颜色 3.用立体化工具进行延伸. 4.点击图形中心向下拉. 看到了中间的一个长方条了没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0agb8J4.html" rel="bookmark" class="title">iOS开发中的事件处理&lpar;二&rpar;-事件传递，响应者链条-</a>
					<div>
						转载请注明出处:http://blog.csdn.net/whjForWork/article/details/44926833 事件处理的事件传递 简介: 发生触摸事件后,系统会将该事件加入到一个由 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
